/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme for PMMA
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */

:root {
  --theme-object-fit: contain;
  --has-theme-content-spacing: 1.5;
}

table,
th,
td {
  vertical-align: text-top;
}

th {
  font-weight: 600;
}

/** Fix paragraph not having spaces before next Elementor section */
.elementor-widget-text-editor p:last-child {
  margin-bottom: var(--content-spacing);
}

/** Add background colour to select field */
select + .select2-container {
  background-color: #fff;
}

/* Rank Math */
.rank-math-breadcrumb {
  font-size: 14px;

  p {
    margin: 0;
  }
}

/* Annual Report */
.ar-docs {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.doc-item {
  display: flex;
}

.doc-item .doc-inner {
  display: inline-flex;
  align-items: baseline;
  gap: 10px;
}

/* Announcements */
.single-announcement {
  --wp--style--gallery-gap-default: 0.5em;
}

.pmma-announcement-meta .jet-listing-dynamic-meta__item-val,
.pmma-announcement-meta .jet-listing-dynamic-terms__link {
  color: #000;
  font-weight: 500;
}

.theme-link:hover * {
  color: var(--theme-palette-color-1);
}
